package lip6.jikesrvm.bench;

public class Cell
{
	private static long ctr;
	private int value;
	private Cell next;
	private Cell prev;

	static
	{
		ctr = 0;
	}

	public Cell getNext()
	{
		return this.next;
	}

	public void setNext(Cell next)
	{
		this.next = next;
	}

	public Cell getPrev()
	{
		return this.prev;
	}

	public void setPrev(Cell prev)
	{
		this.prev = prev;
	}

	public int getValue()
	{
		return this.value;
	}

	public Cell(int val)
	{
		this.value = val;
	}

	public static void incCounter(int val)
	{
		ctr += val;
	}

	public static long getCounter()
	{
		return ctr;
	}
};

