#ifndef _COMMTECH_H_
#define _COMMTECH_H_ 1

#define CACHE_LINE_SIZE 128
#define BUF_SIZE CACHE_LINE_SIZE

#define likely(x) __builtin_expect(!!(x), 1)
#define unlikely(x) __builtin_expect(!!(x), 0)

extern volatile int cont;
extern long nb_prod;

__BEGIN_DECLS

int init_library(void);
int end_library(void);
int init_producer_thread(void);
int end_producer_thread(void);
void reception(void (*)(void *));

__END_DECLS

#endif
